.ant-layout {
    background: transparent;
}

.ant-layout-sider {
    flex: 1 1 0%;
    flex-direction: column;
    justify-content: space-between;
    padding: 0;
    display: flex;

    .logo {
        padding: 0 30px;
        height: 80px;
        display: flex;
        align-items: center;
        border-bottom: 1px solid #2e363e;

        background: url("/assets/img/logo/collabs-logo-white.svg") 29px center no-repeat;
        background-size: 42%;
    }

    .ant-layout-sider-trigger {
        position: static;
    }

    .ant-layout-sider-children {
        overflow: auto;
    }

    .ant-menu {
        &.ant-menu-root {
            > li {
                padding-left: 30px !important;
            }

            .ant-menu-item.ant-menu-item-selected,
            .ant-menu-item.ant-menu-submenu-selected,
            .ant-menu-item.ant-menu-submenu-act-as-open {
                background: #30343b;
            }
        }

        .ant-menu-item {
            height: auto;
            margin-bottom: 0;

            a {
                display: flex;
                line-height: 50px;
                height: 50px;
                text-overflow: ellipsis;
                white-space: nowrap;

                span {
                    flex: 1;
                    transition: opacity 0.2s ease-out;
                }
            }
        }

        .ant-menu-sub {
            padding: 10px 0;

            .ant-menu-item a {
                height: auto !important;
                line-height: normal !important;
                padding: 8px 0;
            }
        }

        .lg-nav-icon {
            width: 20px;
            margin-right: 20px;
            float: left;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100%;

            &.tasks {
                margin-top: -2px;
            }
        }

        &.ant-menu-inline-collapsed {
            .ant-menu-item {
                a {
                    i + span {
                        opacity: 0;
                    }
                }
            }
            .ant-menu-submenu {
                .ant-menu-submenu-title {
                    i + span {
                        opacity: 0;
                    }
                }
            }
        }

        .ant-menu-item,
        .ant-menu-submenu {
            span {
                font-size: 16px;
            }
        }

        &.ant-menu-dark .ant-menu-item-selected,
        &.ant-menu-dark .ant-menu-submenu-selected,
        &.ant-menu-dark .ant-menu-submenu-act-as-open {
            background: #30343b;
        }

        .ant-menu-item-selected > a,
        .ant-menu-submenu-selected > a,
        .ant-menu-submenu-act-as-open > a {
            background: #30343b;
        }

        .ant-menu-submenu-open {
            background: #2f343b;
        }

        .ant-menu-submenu-title,
        .ant-menu-item {
            padding-left: 0px !important;
        }

        .ant-menu-submenu-title {
            height: 50px;
            line-height: 50px;
        }
    }
}

.ant-layout-sider-collapsed .logo {
    background-image: url("/assets/img/logo/collabs-logomark.svg");
    background-size: 30px !important;
    margin-left: -4px;
}

.ant-layout-header {
    height: 80px;
    border-bottom: 1px solid rgba(46, 54, 62, 0.1);
    display: flex;
    align-items: center;

    @include bp(xs-md) {
        height: auto;
        margin-top: 20px;
    }

    h1 {
        font-size: 24px;
    }

    > .container {
        display: flex;
        justify-content: space-between;
        align-items: center;

        @include bp(xs-sm) {
            flex-direction: column;
        }

        h1 {
            margin-bottom: 0;
        }
    }
}

.organization-layout {
    aside {
        min-height: 100vh;
    }
}

.organization-layout.has-logged-as {
    aside {
        min-height: calc(100vh - 30px);
    }
}

.organization-layout > .ant-layout > .ant-layout-header {
    display: flex;
    justify-content: space-between !important;
    align-items: center;

    @include bp(xs-sm) {
        flex-direction: column;
    }

    h1 {
        margin-bottom: 0;
    }

    margin: 0px auto;

    @media (min-width: 1340px) {
        padding: 0 30px;
    }

    @media (min-width: 1700px) {
        padding: 0 calc((100% - 1340px) / 2);
    }

    @media (max-width: 1400px) {
        padding: 0 30px;
    }

    width: 100%;
}

.container,
.ant-layout-content {
    margin: 0px auto;
    max-width: 1400px;
    width: 100%;
    padding: 0 15px;

    @include bp(md) {
        padding: 0 30px;
    }
}

.ant-layout-content {
    padding-bottom: 80px;
}

// Layout overrides styles
.ant-layout-sider,
.ant-menu-dark,
.ant-menu-dark .ant-menu-sub,
.ant-layout-sider-trigger {
    background: #252a31;
}

.ant-layout-sider-trigger {
    border-top: 1px solid rgba(255, 255, 255, 0.05);
}

.ant-menu-dark .ant-menu-inline.ant-menu-sub {
    background: none;
    box-shadow: none;
    border-top: 1px solid rgba(255, 255, 255, 0.1);
}

.ant-menu-submenu-open > div,
.ant-menu-submenu-open > div:hover {
    background: none !important;
}

.ant-menu-submenu-active {
    background: #30343b;
}

.ant-menu-dark .ant-menu-submenu-title .ant-menu-submenu-arrow {
    display: none;
}

.col-auto {
    -ms-flex: 0 0 auto;
    flex: 0 0 auto;
    width: auto;
    max-width: none;
}

.mr-auto,
.mx-auto {
    margin-right: auto !important;
}

.ml-auto,
.mx-auto {
    margin-left: auto !important;
}

.larger-breakpoints {
    @media (min-width: 1200px) {
        .ant-col-lg-8 {
            display: block;
            -webkit-box-sizing: border-box;
            box-sizing: border-box;
            width: 33.33333333% !important;
        }
    }

    @media (min-width: 1600px) {
        .ant-col-xl-6 {
            display: block;
            -webkit-box-sizing: border-box;
            box-sizing: border-box;
            width: 25% !important;
        }
    }
}

.no-overflow {
    overflow: hidden;
}
